#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Tue Jun 22 23:30:28 2021

@author: geopeter
"""

import unittest
import pickle
import numpy as np
import DwdAcquisition as cut

class TestDwdAcquisition(unittest.TestCase):
    
    def _testLoadTemperatureFromDWDGauges(self):
        global annualData
        cut.loadTemperatureFromDWDGauges()
        
        with open("./pickle/stationList_temps.pickle", "rb") as pickleFile:
            annualData = pickle.load(pickleFile)
    
    def _testLoadDWDGauges(self):
        global stationList
        stationList = cut.loadDWDGauges()
    
    def _testFillMissingData(self):
        
        with open("./pickle/annualData.pickle", "rb") as testFile:
            global annualData
            annualData = pickle.load(testFile)
            
            annualData = cut.fillMissingData(annualData)
            
            print(annualData)
            
if __name__ == '__main__':
    unittest.main()
